//
//  PictureSelectActionSheet.h
//  Spark-Client
//
//  Created by 张鹤 on 2018/3/23.
//  Copyright © 2018年 张鹤. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>


@protocol PictureSheetDelegate <NSObject>
@optional

- (void)didClickOnButtonIndex:(NSInteger *)buttonIndex;
- (void)didClickOnDestructiveButton;
- (void)didClickOnCancelButton;

@end

@interface PictureSelectActionSheet : NSObject<UINavigationControllerDelegate,UIImagePickerControllerDelegate>



@property (nonatomic ,weak )UIViewController *currentViewControll;
@property (nonatomic, strong) UIAlertController *sheetC;
@property (nonatomic, assign) BOOL allowEdit;
@property (nonatomic, assign) BOOL  isChooseTitle; // 是否是图片选择
@property (nonatomic,copy)void(^sendImageBlock)(UIImage *image,NSData *imgData);
@property (nonatomic, weak) id <PictureSheetDelegate> delegate;

- (id)initWithTitle:(NSString *)title delegate:(id<PictureSheetDelegate>)delegate buttonFTitle:(NSString *)buttonFTitle button2Title:(NSString *)button2Title otherButtonTitles:(NSArray *)otherButtonTitlesArray;

- (void)showSheetWithCurrentVC:(UIViewController *)vc;

@end
