//
//  TextFieldTableViewCell.m
//  CertificationDemo
//
//  Created by 张鹤 on 2018/6/3.
//  Copyright © 2018年 张鹤. All rights reserved.
//

#import "TextFieldTableViewCell.h"
#import "UIViewExt.h"


@implementation TextFieldTableViewCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
        
        _textField = [[CustomFieldView alloc] initWithFrame:CGRectMake(10, 20, kScreenWidth - 20, 50)];
        [self.contentView addSubview:_textField];
        _textField.font = [UIFont systemFontOfSize:14];
        _textField.delegate = self;
        [_textField addTarget:self action:@selector(textFieldDidChange:) forControlEvents:UIControlEventEditingChanged];
        
    }
    return self;
}
- (void)textFieldDidChange:(UITextField *)textField{
    if ([textField.placeholder isEqualToString:@"请输入真实姓名"]) {
        self.textBlock(textField.text, @"请输入真实姓名");
    }else if ([textField.placeholder isEqualToString:@"请输入您的身份证号"]){
        self.textBlock(textField.text, @"请输入您的身份证号");
        
    }
}
- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string{

    
    return YES;
}

@end
