//
//  AboutViewController.m
//  CertificationDemo
//
//  Created by 张鹤 on 2018/6/5.
//  Copyright © 2018年 张鹤. All rights reserved.
//

#import "AboutViewController.h"
#import "UIViewExt.h"

@interface AboutViewController ()

@end

@implementation AboutViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = @"关于";
    self.view.backgroundColor = [UIColor whiteColor];
    [self setupUI];
}

- (void) setupUI{
    
    UILabel *infoLabel = [[UILabel alloc] initWithFrame:CGRectMake(20, (kScreenHeight - 100)/2, kScreenWidth - 40, 100)];
    [self.view addSubview:infoLabel];
    infoLabel.font = [UIFont systemFontOfSize:14];
    infoLabel.numberOfLines = 0;
    infoLabel.text = @"本App为身份认证demo,用于身份认证演示，App中提供了四种认证方式。由南京壹证通信息科技有限公司提供技术支持";
    infoLabel.textColor = COLOR(133, 133, 133, 1);
    infoLabel.textAlignment = NSTextAlignmentCenter;
    
    
    UILabel *bottomLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, kScreenHeight - 70, kScreenWidth, 50)];
    [self.view addSubview:bottomLabel];
    bottomLabel.font = [UIFont systemFontOfSize:14];
    bottomLabel.textColor = [UIColor blueColor];
    bottomLabel.textAlignment = NSTextAlignmentCenter;
    bottomLabel.numberOfLines = 0;
    bottomLabel.text = @"© 2016-2017 南京壹证通信息科技有限公司\nAll rights reserved.";
    
}


@end
