////
////  LiveDetectingViewController.m
////  CertificationDemo
////
////  Created by 张鹤 on 2018/6/3.
////  Copyright © 2018年 张鹤. All rights reserved.
////
//
//#import "LiveDetectingViewController.h"
////#import "UIViewExt.h"
//#import "CustomFieldView.h"
//#import "TextFieldTableViewCell.h"
//#import "SingleSelectTableViewCell.h"
//#import "NSString+Helper.h"
//#import "AFNetworking.h"
//#import "SVProgressHUD.h"
//#define AppKey         [[NSUserDefaults standardUserDefaults] valueForKey:@"appKey"]
//
//
//@interface LiveDetectingViewController ()<UITableViewDelegate, UITableViewDataSource,LivenessDetectionControllerDelegate>
//{
//    NSArray  *_selectDataSource;
//    UIImage *_selectedImage;
//    NSString *_encodedImageStr;
//}
//@property (assign, nonatomic) NSIndexPath *secondIndex;//单选，当前选中的行
//@property (assign, nonatomic) NSIndexPath *thirdIndex;//单选，当前选中的行
//@property (nonatomic, strong) UITableView  *liveTableView;
//
//@property (nonatomic, strong) NSString *nameText;
//@property (nonatomic, strong) NSString *idCardText;
//@end
//
//@implementation LiveDetectingViewController
//- (UITableView *)liveTableView{
//    if (_liveTableView == nil) {
//        _liveTableView = [[UITableView alloc] initWithFrame:CGRectMake(0, 0, kScreenWidth, kScreenHeight) style:UITableViewStyleGrouped];
//        _liveTableView.delegate = self;
//        _liveTableView.dataSource = self;
//        _liveTableView.separatorStyle = UITableViewCellSeparatorStyleNone;
//        [self.view addSubview:_liveTableView];
//    }
//    return _liveTableView;
//}
//- (void)viewDidLoad {
//    [super viewDidLoad];
//    self.view.backgroundColor = [UIColor whiteColor];
//    self.navigationItem.title = @"活体检测认证";
//    _selectDataSource = @[@[],@[@"认证方式一",@"认证方式二",@"认证方式三",@"认证方式四"],@[@"开启前置摄像头",@"开启后置摄像头"]];
//    self.liveTableView.backgroundColor = [UIColor whiteColor];
//
//}
//
//#pragma mark --- UItableView代理及数据源
//- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
//    return 3;
//}
//- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
//    NSArray *sectionArr = _selectDataSource[section];
//    if (section == 0) {
//        return 2;
//    }else if (section == 1){
//        return sectionArr.count;
//    }else if (section == 2){
//        return sectionArr.count;
//    }
//    return 3;
//}
//- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
//    if (indexPath.section == 0) {
//        return 70;
//    }else{
//        return 50;
//    }
//}
//- (UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
//    if (section == 1) {
//        UILabel *titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(10, 0, kScreenWidth - 20, 30)];
//        titleLabel.font = [UIFont systemFontOfSize:12];
//        titleLabel.text = @"  - 选择认证模式";
//        return titleLabel;
//    }else if (section == 2){
//        UILabel *titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(10, 0, kScreenWidth - 20, 30)];
//        titleLabel.font = [UIFont systemFontOfSize:12];
//        titleLabel.text = @"  - 摄像头选择";
//        return titleLabel;
//    }else{
//        UILabel *titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(10, 0, kScreenWidth - 20, 0.01)];
//        return titleLabel;
//    }
//}
//- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
//    if (section == 1 || section == 2){
//        return 30;
//    }else{
//        return 0.01;
//    }
//}
//- (UIView *)tableView:(UITableView *)tableView viewForFooterInSection:(NSInteger)section{
//    UIButton *startButton;
//    if (section == 2) {
//        startButton = [[UIButton alloc] initWithFrame:CGRectMake(10, 30, kScreenWidth - 20, 50)];
//        [startButton setBackgroundColor:[UIColor blueColor]];
//        startButton.titleLabel.font = [UIFont systemFontOfSize:14];
//        [startButton setTitle:@"开始检测" forState:UIControlStateNormal];
//        [startButton setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [startButton addTarget:self action:@selector(startDetect) forControlEvents:UIControlEventTouchUpInside];
//    }else{
//        startButton = [[UIButton alloc] initWithFrame:CGRectMake(10, 30, kScreenWidth - 20, 0.01)];
//
//    }
//    return startButton;
//}
//- (CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section{
//    if (section == 2) {
//        return 50;
//    }else{
//        return 0.01;
//    }
//}
//- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
//    static NSString *liveIdentify = @"liveIdentify";
//    static NSString *inputIdentify = @"inputIdentify";
//    static NSString *selectedIdentify = @"selectedIdentify";
//    static NSString *camerIdentify = @"camerIdentify";
//
//    NSArray *sectionArr = _selectDataSource[indexPath.section];
//    if (indexPath.section == 0) {
//        TextFieldTableViewCell *inputTextCell = [_liveTableView dequeueReusableCellWithIdentifier:inputIdentify];
//        if (inputTextCell == nil) {
//            inputTextCell = [[TextFieldTableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:inputIdentify];
//        }
//        if (indexPath.row == 0) {
//            inputTextCell.textField.placeholder = @"请输入真实姓名";
//        }else if (indexPath.row == 1){
//            inputTextCell.textField.placeholder = @"请输入您的身份证号";
//        }
//        __weak typeof(self) weakSelf = self;
//        inputTextCell.textBlock = ^(NSString *inputStr, NSString *paramStr){
//            if ([paramStr isEqualToString:@"请输入真实姓名"]) {
//                weakSelf.nameText = inputStr;
//            }else if ([paramStr isEqualToString:@"请输入您的身份证号"]){
//                weakSelf.idCardText = inputStr;
//            }
//        };
//
//        return inputTextCell;
//    }else if (indexPath.section == 1 ){
//        SingleSelectTableViewCell *selectedCell = [_liveTableView dequeueReusableCellWithIdentifier:selectedIdentify];
//        if (selectedCell == nil) {
//            selectedCell = [[SingleSelectTableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:selectedIdentify];
//        }
//        selectedCell.titleLabel.text = sectionArr[indexPath.row];
//            if (indexPath.row == _secondIndex.row) {
//                [selectedCell.iconButton setImage:[UIImage imageNamed:@"RadioButton-Selected.png"] forState:UIControlStateNormal];
//            }else{
//                [selectedCell.iconButton setImage:[UIImage imageNamed:@"RadioButton-Unselected.png"] forState:UIControlStateNormal];
//
//            }
//        selectedCell.selectionStyle = UITableViewCellSelectionStyleNone;
//        return selectedCell;
//    }else if (indexPath.section == 2){
//        SingleSelectTableViewCell *selectedCell = [_liveTableView dequeueReusableCellWithIdentifier:camerIdentify];
//        if (selectedCell == nil) {
//            selectedCell = [[SingleSelectTableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:camerIdentify];
//        }
//        selectedCell.titleLabel.text = sectionArr[indexPath.row];
//            if (indexPath.row == _thirdIndex.row) {
//                [selectedCell.iconButton setImage:[UIImage imageNamed:@"RadioButton-Selected.png"] forState:UIControlStateNormal];
//            }else{
//                [selectedCell.iconButton setImage:[UIImage imageNamed:@"RadioButton-Unselected.png"] forState:UIControlStateNormal];
//            }
//        selectedCell.selectionStyle = UITableViewCellSelectionStyleNone;
//        return selectedCell;
//    }
//    UITableViewCell *liveCell = [_liveTableView dequeueReusableCellWithIdentifier:liveIdentify];
//    if (liveCell == nil) {
//        liveCell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:liveIdentify];
//    }
//    liveCell.selectionStyle = UITableViewCellSelectionStyleNone;
//    return liveCell;
//}
//- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
//    if (indexPath.section == 1) {
//        NSInteger newRow = [indexPath row];
//        NSInteger oldRow = (self.secondIndex !=nil)?[self.secondIndex row]:-1;
//        if (newRow != oldRow) {
//
//            SingleSelectTableViewCell *cell = [tableView cellForRowAtIndexPath:indexPath];
//            [cell.iconButton setImage:[UIImage imageNamed:@"RadioButton-Selected.png"] forState:UIControlStateNormal];
//            self.secondIndex = indexPath;
//
//        }
//        [tableView deselectRowAtIndexPath:indexPath animated:YES];
//        [_liveTableView reloadData];
//
//
//    }
//    if (indexPath.section == 2) {
//        NSInteger newRow = [indexPath row];
//        NSInteger oldRow = (self.thirdIndex !=nil)?[self.thirdIndex row]:-1;
//        if (newRow != oldRow) {
//
//            SingleSelectTableViewCell *cell = [tableView cellForRowAtIndexPath:indexPath];
//            [cell.iconButton setImage:[UIImage imageNamed:@"RadioButton-Selected.png"] forState:UIControlStateNormal];
//            self.thirdIndex = indexPath;
//
//        }
//        [tableView deselectRowAtIndexPath:indexPath animated:YES];
//        [_liveTableView reloadData];
//    }
//}
//- (void)tableView:(UITableView *)tableView didDeselectRowAtIndexPath:(NSIndexPath *)indexPath{
//
//}
//- (void)startDetect{
//
//////     摄像头模式
//    CameraMode cameraMode = _thirdIndex.row;
//    // 创建活体检测界面
//    LivenessDetectionController *livenessDetectionController = [LivenessDetectionController LivenessDetectionControllerWithLivenessMode:_secondIndex.row cameraMode:cameraMode actionTime:3 isTrackFace:YES];
//    // 设置代理
//    livenessDetectionController.delegate = self;
//    // 弹出检测界面
//    [self presentViewController:livenessDetectionController animated:YES completion:nil];
//
//}
//#pragma mark - 活体检测代理方法
///**
// 活体检测返回结果代理方法
//
// @param result 返回结果
// */
//- (void)livenessDetectionControllerDidGetResult: (LivenessDetectionResult *)result {
//
//    switch (result.resultCode) {
//        case LivenessDetectionResultCodeComplete:
//        {_encodedImageStr = [NSString stringWithFormat:@"%@#%@",result.detectionString,result.actionImageString];
//
//
//            dispatch_async(dispatch_get_main_queue(), ^{
////                if (_encodedImageStr.length) {
//                    [self saveButtonDidClicked];
////                }
//            });
//
//        }
//            break;
//        case LivenessDetectionResultCodeExit:
//
//            break;
//
//        case LivenessDetectionResultCodeOpenCameraFailed:
//
//            break;
//
//        default:
//            break;
//    }
//}
//
//#pragma mark --- 网络请求
//- (void) saveButtonDidClicked{
//
//    if (_nameText.length && _idCardText.length) {
//        NSString *urlString = [NSString stringWithFormat:@"%@%@",@"https://iv.unitid.cn",@"/api/router/rest"];
//
//
//        NSDictionary *paramDic = @{@"realname":_nameText,
//                                   @"idcard":_idCardText,
//                                   @"livenessData":_encodedImageStr,
//                                   @"appKey":AppKey,
//                                   @"signMethod":@"HMAC-SHA256",
//                                   @"signVersion":@"1",
//                                   @"method":@"realid.idcard.livenessFace",
//                                   @"format":@"JSON",
//                                   @"timestamp":[NSString conversationTimeLongToDate],
//                                   @"nonce":[NSString getRandomStr],
//                                   @"version":@"1"
//                                   };
//        NSMutableDictionary *nsParamDic = [[NSMutableDictionary alloc] initWithDictionary:paramDic];
//        NSString *sign = [NSString getSignStringWithDictionary:paramDic];
//        [nsParamDic setValue:sign forKey:@"sign"];
//        AFHTTPSessionManager *sessionManager = [AFHTTPSessionManager manager];
//        AFSecurityPolicy *securityPolicy = [AFSecurityPolicy defaultPolicy];
//        securityPolicy.validatesDomainName = NO;
//        securityPolicy.allowInvalidCertificates = YES;
//        sessionManager.requestSerializer.timeoutInterval = 10.f;
//        sessionManager.securityPolicy = securityPolicy;
//        [SVProgressHUD showWithStatus:@"请求中..."];
//
//        [sessionManager POST:urlString parameters:nsParamDic progress:^(NSProgress * _Nonnull uploadProgress) {
//        } success:^(NSURLSessionDataTask * _Nonnull task, id  _Nullable responseObject) {
//            NSLog(@"%@",responseObject);
//            NSDictionary *responDic = (NSDictionary *)responseObject;
//            if ([responDic[@"code"] intValue]==0) {
//                if ([responDic[@"data"][@"valid"] boolValue]) {
//                    [SVProgressHUD showSuccessWithStatus:[NSString stringWithFormat:@"%@,相似度为%.2f%%",responDic[@"data"][@"message"],[responDic[@"data"][@"score"] floatValue] * 100]];
//                    [SVProgressHUD dismissWithDelay:2];
//
//                }else{
//                    [SVProgressHUD showErrorWithStatus:responDic[@"data"][@"message"]];
//                    [SVProgressHUD dismissWithDelay:2];
//
//                }
//            }else{
//                [SVProgressHUD showErrorWithStatus:@"认证失败"];
//                [SVProgressHUD dismissWithDelay:2];
//
//            }
//        } failure:^(NSURLSessionDataTask * _Nullable task, NSError * _Nonnull error) {
//            NSLog(@"%@",error);
//        }];
//    }else{
//        [SVProgressHUD showErrorWithStatus:@"请填写姓名身份证号码"];
//        [SVProgressHUD dismissWithDelay:2];
//
//    }
//
//
//}
//@end
