//
//  LiveFaceSDKManager.h
//  LiveDetectionSDKFrame
//
//  Created by 张鹤 on 2020/7/31.
//  Copyright © 2020 张鹤. All rights reserved.
//

#import <Foundation/Foundation.h>
 

NS_ASSUME_NONNULL_BEGIN

@interface LiveFaceSDKManager : NSObject

+ (instancetype)sharedInstance;

/*
 * 配置活体认证License
 */
+ (void)setLicenseID:(NSString *)licenseID andLocalLicenceFile:(NSString *)localLicencePath;

/*
 * 活体功能是否配置成功
 */
+ (BOOL)canWork;

//鉴权方法
- (void)initWithToken:(NSString *)token;


@end

NS_ASSUME_NONNULL_END
