//
//  LivenessViewController.h
//  IDLFaceSDKDemoOC
//
//  Created by 张鹤 on 2018/6/3.
//  Copyright © 2018年 张鹤. All rights reserved.
//
#import "UnitidFaceBaseViewController.h"


@protocol UNITIDLivenessResultControllerDelegate <NSObject>

@optional
/**
 活体检测返回结果代理方法
 
 @param result 返回结果
 */
- (void)livenessDetectionControllerDidGetResult:(NSDictionary  *)dic;

/*
 * 活体检测取消代理方法
 * reason 取消原因
 */
- (void)livenessDetectionControllerDidCancel:(CancelStatus)status;

/*
 *
 */
- (void)livenessDetectionControllerDidGetNetworkResult:(NSDictionary *)response;

@end



@interface UnitidLivenessViewController : UnitidFaceBaseViewController

@property(nonatomic,copy)void (^errorCallBack)(NSDictionary *error);
@property(nonatomic,copy) void (^successCallBack)(NSDictionary *responseDict);

@property (nonatomic, weak) id <UNITIDLivenessResultControllerDelegate> delegate;


- (void)livenesswithList:(NSArray *)livenessArray order:(BOOL)order numberOfLiveness:(NSUInteger)numberOfLiveness;

@end
